<?php

class Login extends CI_Model {
    
    function __construct() {
        parent::__construct();
        $this->load->model('Auditoria_Model');
        $this->load->library('url');
    }
    
    public function loginGoogle($token) {
        $url = 'https://www.googleapis.com/oauth2/v3/tokeninfo?id_token=' . $token;
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $resultado = curl_exec($ch);
        return $result = json_decode($resultado);
    }
    
    public function auditoria($aluno) {
        $this->session->set_userdata("aluno", $aluno);
        $idAluno = $aluno['id_aluno'];
        $ip = $this->url->get_client_ip_server();
        $dataAuditoria = date("Y-m-d");
        $horaAuditoria = date("H:i:s");
        $mailAluno = $aluno['email'];
        $name = $aluno['nome'];
        $version = $this->url->getBrowser();

        $this->Auditoria_Model->insereAuditoria($idAluno, $ip, $dataAuditoria, $horaAuditoria, $mailAluno, $name, $version);
    }

}
